org.eclipse.jgit.patch

## Class FormatError

- java.lang.Object
- - org.eclipse.jgit.patch.FormatError

    public class FormatError
    extends Object

An error in a patch script

### Nested Class Summary

Nested Classes
`static class` `FormatError.Severity` Classification of an error.

### Method Summary

Methods
`byte[]` `getBuffer()`
`String` `getLineText()`
`String` `getMessage()`
`int` `getOffset()`
`FormatError.Severity` `getSeverity()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getSeverity

    public FormatError.Severity getSeverity()

Returns:
  the severity of the error.

#### getMessage

    public String getMessage()

Returns:
  a message describing the error.

#### getBuffer

    public byte[] getBuffer()

Returns:
  the byte buffer holding the patch script.

#### getOffset

    public int getOffset()

Returns:
  byte offset within `getBuffer()` where the error is

#### getLineText

    public String getLineText()

Returns:
  line of the patch script the error appears on.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`